Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class ObjectNameHelper

    java.lang.Object
      org.mule.util.ObjectNameHelper

    public final class ObjectNameHelper

extends Object

Generates consistent objects names for Mule components

Field Summary
`static String` | `CONNECTOR_PREFIX`
`static String` | `ENDPOINT_PREFIX`
`static String` | `SEPARATOR`

Constructor Summary
`ObjectNameHelper(MuleContext muleContext)`

Method Summary
`protected String` | `ensureUniqueConnector(String name)`
`protected String` | `ensureUniqueEndpoint(String name)`
`String` | `getConnectorName(Connector connector)`
`String` | `getEndpointName(EndpointURI endpointUri)`
`String` | `replaceObjectNameChars(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

### CONNECTOR_PREFIX

    public static final String CONNECTOR_PREFIX

See Also:
  Constant Field Values

### ENDPOINT_PREFIX

    public static final String ENDPOINT_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ObjectNameHelper

    public ObjectNameHelper(MuleContext muleContext)

Method Detail

### getEndpointName

    public String getEndpointName(EndpointURI endpointUri)

### ensureUniqueEndpoint

    protected String ensureUniqueEndpoint(String name)

### ensureUniqueConnector

    protected String ensureUniqueConnector(String name)

### getConnectorName

    public String getConnectorName(Connector connector)

### replaceObjectNameChars

    public String replaceObjectNameChars(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.